# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           smx4-legal
Version:        1.0
Release:        2%{?dist}
Epoch:          0
Summary:        ServiceMix Legal Files
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://servicemix.apache.org/
# svn export http://svn.apache.org/repos/asf/servicemix/smx4/legal/tags/legal-1.0/ smx4-legal-1.0
# tar czf ../SOURCES/smx4-legal-1.0.tgz smx4-legal-1.0/
Source0:        smx4-legal-1.0.tgz
Source1:        smx4-legal-settings.xml
Source2:        smx4-legal-jpp-depmap.xml
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:  ant >= 0:1.7.1
Requires:  java >= 0:1.6.0
Requires:       jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Apache ServiceMix is a flexible, open-source integration 
container that unifies the features and functionality of 
Apache ActiveMQ, Camel, CXF, ODE, Karaf into a powerful 
runtime platform you can use to build your own integrations
solutions. It provides a complete, enterprise ready ESB 
exclusively powered by OSGi.
The main features are:
*   reliable messaging with Apache ActiveMQ
*   messaging, routing and Enterprise Integration Patterns 
    with Apache Camel
*   WS-\* and RESTful web services with Apache CXF
*   loosely coupled integration between all the other 
    components with Apache ServiceMix NMR including rich 
    Event, Messaging and Audit API
*   complete WS-BPEL engine with Apache ODE
*   OSGi-based server runtime powered by Apache Karaf

%prep
%setup -q 
cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml
#%patch0 -b .sav0

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export MAVEN_SETTINGS=$(pwd)/settings.xml
%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.test.failure.ignore=true \
        install 

%install
rm -rf %{buildroot}

# xml
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 notices.xml %{buildroot}%{_javadir}/%{name}-%{version}.xml
(cd %{buildroot}%{_javadir} && for xml in *-%{version}*; do ln -s ${xml} `echo $xml| sed "s|-%{version}||g"`; done)

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -m 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.apache.servicemix.legal legal %{version} JPP %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*.xml
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%changelog
* Tue Feb 05 2013 Ralph Apel <r.apel@r-apel.de> 1.0-2
- Prevent xzpayload problem

* Sun Jan 13 2013 Ralph Apel <r.apel@r-apel.de> 1.0-1
- 1.0

